gameplay = {}

require('scripts/word_shuffler')
alpha_keys= {'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'}

function gameplay:load()
  game_font = love.graphics.newFont('fonts/Chilanka-Regular.ttf',50) -- load my font
  love.graphics.setFont(game_font) -- set my font
  --background = love.graphics.newImage('images/game_background.png')
  pause_button = {img = love.graphics.newImage('images/buttons/pause_button.png'),x = 90,y= 50,Xs=0.5,Ys=0.5}
    next_button = {img = love.graphics.newImage('images/buttons/next_button.png'),x = 350,y= 400,Xs=0.5,Ys=0.5 }
  player_input_holder = '' 
  info_text_holder = '' -- this holds warnings etc
  --info_text_holder_alpha = 0.4
  puzzle_text_holder = ''
  shuffle_word()
  
  streak = 0
  passed = 0
  failed = 0
  retries = 3
  highest_streak = 0
  
  
end

function gameplay:update(dt)
   -- this function updates the player input and warnings
	function love.keypressed(key)
    if key == 'return' then -- enter  key compares
      if string.lower(player_input_holder) == string.lower(word_to_shuffle) then-- if the input is correct then do below 
        streak = streak+1
        info_text_holder = ''
        player_input_holder = ''
        shuffle_word()
        info_text_holder = 'Good you are correct'
        --player_input_holder = ''
      else                                          -- if not correct then do below
        retries = retries - 1
        info_text_holder = 'Booh you are wrong'
        if retries == 0 then -- game over
          info_text_holder = 'game over thanks'
          scene = game_over_scene
        end
      end
    elseif key == 'backspace' then
      player_input_holder = ''
    elseif key == 'tab' then
        streak = streak-1
        info_text_holder = ''
        player_input_holder = ''
        shuffle_word()
      --[[info_text_holder = ''
      player_input_holder = ''
      shuffle_word()]]
    else
      for i,v in pairs(alpha_keys) do
        if key == v then
          player_input_holder= player_input_holder..key
        end
      end
    end
  end  
end

function gameplay:draw()
  love.graphics.setBackgroundColor(0,0,0)
  --love.graphics.draw(background,0,0,0,1,1)
  love.graphics.setColor(1,0,1)
  love.graphics.print('Solve: '..puzzle_text_holder,200,200)--print the puzzle
  love.graphics.print(player_input_holder,200,300)
  love.graphics.setColor(1,1,0)
  love.graphics.print(info_text_holder,100,50,0,1.3,1)
  love.graphics.setColor(.9,.3,.0)
  love.graphics.print('streak: '..streak,100,500)
  love.graphics.setColor(0,0.8,1)
  love.graphics.print('Retries: '..retries,500,500)
  love.graphics.setColor(1,1,1)
end

return gameplay