function shuffle_word(word)
  local shuffled_word = ''
  local letters = {}

  -- Put the letters of the word into a table
  for i = 1, #word do
    letters[i] = word:sub(i, i)
  end

  -- Shuffle the table of letters
  for i = #letters, 2, -1 do
    local j = math.random(i)
    letters[i], letters[j] = letters[j], letters[i]
  end

  -- Put the shuffled letters back into a string
  for i = 1, #letters do
    shuffled_word = shuffled_word .. letters[i]
  end

  return shuffled_word
end

local word = "miracle"
local shuffled_word = shuffle_word(word)
print(shuffled_word)

function shuffle_word_two(word)
  local shuffled_word = ''
  local letters = {}
  local word = string.reverse(word)
  -- Put the letters of the word into a table
  for i = 1, #word do
    letters[i] = word:sub(i, i)
  end

  -- Shuffle the table of letters
  for i = #letters, 2, -1 do
    local j = math.random(i)
    letters[i], letters[j] = letters[j], letters[i]
  end

  -- Put the shuffled letters back into a string
  for i = 1, #letters do
    shuffled_word = shuffled_word .. letters[i]
  end

  return shuffled_word
end

local word = "miracle"
local shuffled_word = shuffle_word(word)
print(shuffled_word)  -- Prints a random shuffle of the letters in "example"